#include <dallas/reg320.h>

void init(){
    SCON0 = 0x50;	/* SFR-Serial-Port-0-Control (UserGuide S.31) */
					/* 0x50=01010000							  */
					/* Mode 1, Asynchron, 10 Bit                  */	
					/* Timer 1 Baudrate Generator                 */
						                     
	TMOD  = 0x20;   /* SFR-Timer-Mode-Control (UserGuide S.23)    */
					/* 0x20=00100000                              */
	                /* Timer 1, Mode 2, 8-Bit Auto Reload         */

	TH1   =	0xF3;   /* TH1:  Auto-Reload-Value (UserGuide S.144)  */
					/* for Timer 1 for Baudrate Generation 9600   */
					/* bei Vorteiler 12 und 24 MHz Takt           */

    TR1   = 1;      /* TR1=TCON^6:  Timer 1 starten               */           
					/* TCON: SFR-Timer-Control (UserGuide S.22)   */

    TI    = 1;      /* TI:   set TI to send first char of UART  */          
}